Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.base
[Java] Interface Binary

    org.gradle.api.Buildable
      org.gradle.language.base.Binary
          org.gradle.api.Named
              org.gradle.language.base.BuildableModelElement

All Superinterfaces:
  Buildable, Named, BuildableModelElement

    @Incubating
    @HasInternalProtocol
    public interface Binary
    extends BuildableModelElement, Named

A physical binary artifact, which can run on a particular platform or runtime.

Method Summary

Methods inherited from interface Named
getName

Methods inherited from interface BuildableModelElement
builtBy, setLifecycleTask

Methods inherited from interface Buildable
getBuildDependencies

Gradle API 1.10